﻿namespace NetinaShop.Domain.CommandQueries.Commands;

public sealed record CreateCategoryCommand(
    string Name,
    string Description,
    Guid ParentId,
    List<StorageFileSDto> Files) : IRequest<CategoryLDto>;

public sealed record UpdateCategoryCommand(
    Guid Id,
    string Name,
    string Description,
    Guid ParentId,
    List<StorageFileSDto> Files) : IRequest<bool>;

public sealed record DeleteCategoryCommand(Guid Id) : IRequest<bool>;