﻿namespace NetinaShop.Domain.Dtos.LargDtos;

public class BlogLDto : BaseDto<BlogLDto , Blog>
{
    public string Title { get; internal set; } = string.Empty;
    public string Content { get; internal set; } = string.Empty;
    public string Tags { get; internal set; } = string.Empty;
    public int ReadingTime { get; internal set; }
    public string Summery { get; internal set; } = string.Empty;
    public bool IsSuggested { get; internal set; }
    public Guid CategoryId { get; internal set; }
    public string CategoryName { get; set; } = string.Empty;
    public List<StorageFileSDto> Files { get; internal set; } = new();
}