﻿namespace NetinaShop.Domain.CommandQueries.Commands;

public sealed record CreateProductCommand(
string PersianName,
string EnglishName,
string Summery,
string ExpertCheck,
string Tags,
string Warranty,
Guid BrandId,
string BrandNames ,
List<Guid> Categories,
List<SpecificationSDto> Specifications,
List<StorageFileSDto> Files):IRequest<ProductLDto>;

public sealed record UpdateProductCommand(
    Guid Id,
    string PersianName,
    string EnglishName,
    string Summery,
    string ExpertCheck,
    string Tags,
    string Warranty,
    Guid BrandId,
    string BrandNames,
    List<Guid> Categories,
    List<SpecificationSDto> Specifications,
    List<StorageFileSDto> Files) : IRequest<bool>;
public sealed record DeleteProductCommand(Guid Id) : IRequest<bool>;