﻿namespace NetinaShop.Domain.CommandQueries.Commands;

public sealed record CreateShippingCommand (
    string Title,
    string WarehouseName,
    bool IsFastShipping ,
    bool IsShipBySeller ,
    bool IsOriginalWarehouse) : IRequest<ShippingSDto>;

public sealed record UpdateShippingCommand(
    Guid Id,
    string Title,
    string WarehouseName,
    bool IsFastShipping,
    bool IsShipBySeller,
    bool IsOriginalWarehouse) : IRequest<bool>;

public sealed record DeleteShippingCommand(
    Guid Id) : IRequest<bool>;