﻿namespace NetinaShop.Domain.Dtos.LargDtos;

public class CategoryLDto : BaseDto<CategoryLDto, Category>
{
    public string Name { get; set; } = string.Empty;
    public string Description { get; set; } = string.Empty;
    public Guid ParentId { get; set; }
    public List<CategorySDto> Children { get; set; } = new();
    public List<StorageFileSDto> Files { get; internal set; } = new();
}