﻿using NetinaShop.Domain.Entities.StorageFiles;

namespace NetinaShop.Domain.Entities.Categories;

public partial class CategoryStorageFile : StorageFile
{
    public CategoryStorageFile()
    {
        
    }

    public CategoryStorageFile(string name, string fileLocation, string fileName, bool isHeader, bool isPrimary, StorageFileType fileType, Guid categoryId) :
        base(name, fileLocation, fileName, isHeader, isPrimary, fileType)
    {
        CategoryId = categoryId;
    }
    public Guid CategoryId { get; internal set; }
    public Category? Category { get; internal set; }
}