﻿namespace NetinaShop.Domain.Entities.Products;
[AdaptTwoWays("[name]LDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[AdaptTwoWays("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget)]
[AdaptTo("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Projection)]
[GenerateMapper]
public partial class ProductCategory : ApiEntity
{
    public ProductCategory(Guid categoryId,  Guid productId)
    {
        CategoryId = categoryId;
        ProductId = productId;
    }

    public ProductCategory()
    {
        
    }
    public Guid CategoryId { get; internal set; }
    public Category? Category { get; internal set; }
    public Guid ProductId { get; internal set; }
    public Product? Product { get; internal set; }
}